QHButtonGroup(3qt)

NAME
QHButtonGroup - Organizes QButton widgets in a group with one horizontal row

SYNOPSIS
#include <qhbuttongroup.h>

Inherits QButtonGroup.

  Public Members
QHButtonGroup ( QWidget * parent = 0, const char * name = 0 )
QHButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )
~QHButtonGroup ()

DESCRIPTION
The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row.

QHButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. From a layout point of view it is effectively a QHBox that offers a frame with a title and is specifically designed for buttons. From a functionality point of view it is a QButtonGroup.

<center>
[Image Omitted]

</center>

See also QVButtonGroup, Widget Appearance and Style, Layout Management, and Organizers.

MEMBER FUNCTION DOCUMENTATION

QHButtonGroup::QHButtonGroup ( QWidget * parent = 0, const char * name = 0 )
Constructs a horizontal button group with no title.

The parent and name arguments are passed to the QWidget constructor.

QHButtonGroup::QHButtonGroup ( const QString & title, QWidget * parent = 0, const char * name = 0 )
Constructs a horizontal button group with the title title.

The parent and name arguments are passed to the QWidget constructor.

QHButtonGroup::~QHButtonGroup ()
Destroys the horizontal button group, deleting its child widgets.

SEE ALSO
http://doc.trolltech.com/qhbuttongroup.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhbuttongroup.3) and the Qt version (3.1.2).